JGraph X 1.3.0.0

## com.mxgraph.swing.handler
Class mxKeyboardHandler

    java.lang.Object
      com.mxgraph.swing.handler.mxKeyboardHandler

    public class mxKeyboardHandler

extends java.lang.Object

Constructor Summary
`mxKeyboardHandler(mxGraphComponent graphComponent)`

Method Summary
`protected javax.swing.ActionMap` `createActionMap()` Return the mapping between JTree's input map and JGraph's actions.
`protected javax.swing.InputMap` `getInputMap(int condition)` Return JTree's input map.
`protected void` `installKeyboardActions(mxGraphComponent graphComponent)` Invoked as part from the boilerplate install block.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxKeyboardHandler

    public mxKeyboardHandler(mxGraphComponent graphComponent)

Parameters:
  `graphComponent` -

Method Detail

### installKeyboardActions

    protected void installKeyboardActions(mxGraphComponent graphComponent)

  Invoked as part from the boilerplate install block.

### getInputMap

    protected javax.swing.InputMap getInputMap(int condition)

  Return JTree's input map.

### createActionMap

    protected javax.swing.ActionMap createActionMap()

  Return the mapping between JTree's input map and JGraph's actions.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.